<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_rubbler_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rubbler_panel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['MGR_title'];
$inf_description = $locale['MGR_desc'];
$inf_version = $locale['MGR_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_rubbler_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_RUBBLER_SETTINGS." (
rubbl_settings_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
rubbl_ziehung_aktiv SMALLINT(1) UNSIGNED NOT NULL default '0',
rubbl_anzahl_gewinner SMALLINT(1) UNSIGNED NOT NULL default '1',
rubbl_use_scoresys SMALLINT(1) UNSIGNED NOT NULL default '0',
rubbl_los_score_kosten VARCHAR(50) NOT NULL,
rubbl_los_score_gewinn1 VARCHAR(50) NOT NULL,
rubbl_los_score_gewinn2 VARCHAR(50) NOT NULL,
rubbl_los_score_gewinn3 VARCHAR(50) NOT NULL,
rubbl_los_gewinn_name1 VARCHAR(50) NOT NULL,
rubbl_los_gewinn_name2 VARCHAR(50) NOT NULL,
rubbl_los_gewinn_name3 VARCHAR(50) NOT NULL,
rubbl_los_gewinn_desc1 TEXT NOT NULL,
rubbl_los_gewinn_desc2 TEXT NOT NULL,
rubbl_los_gewinn_desc3 TEXT NOT NULL,
rubbl_los_gewinn_img1 TEXT NOT NULL,
rubbl_los_gewinn_img2 TEXT NOT NULL,
rubbl_los_gewinn_img3 TEXT NOT NULL,
rubbl_next_ziehung INT(10) UNSIGNED NOT NULL default '0',
rubbl_pm_to_id VARCHAR(50) NOT NULL,
rubbl_pm_from_id VARCHAR(50) NOT NULL,
PRIMARY KEY (rubbl_settings_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_RUBBLER_USER." (
rubbl_user_id VARCHAR(50) NOT NULL,
rubbl_losnummer  VARCHAR(10) NOT NULL,
rubbl_datestamp INT(10) UNSIGNED NOT NULL default '0',
PRIMARY KEY (rubbl_user_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_RUBBLER_HISTORY." (
rubbl_history_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
rubbl_his_user_id VARCHAR(50) NOT NULL,
rubbl_his_losnummer VARCHAR(10) NOT NULL,
rubbl_his_score_gewinn VARCHAR(50) NOT NULL,
rubbl_his_gewinn_name VARCHAR(50) NOT NULL,
rubbl_his_gewinn_desc TEXT NOT NULL,
rubbl_his_gewinn_img TEXT NOT NULL,
rubbl_his_datestamp INT(10) UNSIGNED NOT NULL default '0',
PRIMARY KEY (rubbl_history_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_RUBBLER_BLOCK." (
rubbl_block_user_id VARCHAR(50) NOT NULL,
rubbl_block_datestamp INT(10) UNSIGNED NOT NULL default '0',
PRIMARY KEY (rubbl_block_user_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_RUBBLER_SETTINGS." (rubbl_settings_id, rubbl_ziehung_aktiv, rubbl_anzahl_gewinner, rubbl_use_scoresys, rubbl_los_score_kosten, rubbl_los_score_gewinn1, rubbl_los_score_gewinn2, rubbl_los_score_gewinn3, rubbl_los_gewinn_name1, rubbl_los_gewinn_name2, rubbl_los_gewinn_name3, rubbl_los_gewinn_desc1, rubbl_los_gewinn_desc2, rubbl_los_gewinn_desc3, rubbl_los_gewinn_img1, rubbl_los_gewinn_img2, rubbl_los_gewinn_img3, rubbl_next_ziehung, rubbl_pm_to_id, rubbl_pm_from_id) VALUES ('1', '0', '1', '0', '', '', '', '', 'Name1', 'Name2', 'Name3', 'Beschreibung1', 'Beschreibung2', 'Beschreibung3', 'Bild1', 'Bild2', 'Bild3', '0', '1', '1')";

$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['MGR_title']."', panel_filename='".$inf_folder."', panel_side=1, panel_order='75', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";


$inf_droptable[1] = DB_RUBBLER_SETTINGS;
$inf_droptable[2] = DB_RUBBLER_USER;
$inf_droptable[3] = DB_RUBBLER_HISTORY;
$inf_droptable[4] = DB_RUBBLER_BLOCK;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['MGR_admin1'],
	"image" => "rubbler.gif",
	"panel" => "mg_rubbler_admin.php",
	"rights" => "MGR"
);

$inf_sitelink[1] = array(
	"title" => $locale['MGR_link1'],
	"url" => "mg_rubbler.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>