<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rubbler_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."mg_rubbler_panel/infusion_db.php";

if (!checkrights("MGR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rubbler_panel/locale/German.php";
}

// add_to_head("<script src='".INFUSIONS."mg_rubbler_panel/inc/jquery-1.4.2.min.js' type='text/javascript'></script>\n");
add_to_head("<style type='text/css'>
<!--
.rubblertooltip {
	position: absolute;
	max-width: 300px;
	display: none;
	text-align:center;
	padding:10px;
	border:1px solid dimgray;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	box-shadow: 7px 7px 8px #818181;
	-webkit-box-shadow: 7px 7px 8px #818181;
	-moz-box-shadow: 7px 7px 8px #818181;
}

.success {
	color:green;
	font-weight:bold;
	text-align:center;
	font-size: 16px;
}

.error {
	color: #ff0000;
	font-weight:bold;
	text-align:center;
	font-size: 14px;
}
-->
</style>
");

if(isset($_GET['section']))
{
$section = stripinput($_GET['section']);
} else {
$section = "ziehungen";
}

opentable($locale['MGR_admin1']);

$rblsettings = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_SETTINGS.""));

echo "<table align='center' cellpadding='0' cellspacing='0' width='100%' margin-bottom='5px'>";
echo "<tr>

<td width='25%' class='".($section == "ziehungen" ? "tbl1" : "tbl2")."' align='center'><span class='small' style='color:black;'>".($section == "ziehungen" ? "<strong>".$locale['MGR_100']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=ziehungen'><strong>".$locale['MGR_100']."</strong></a>")."</span></td>

<td width='25%' class='".($section == "history" ? "tbl1" : "tbl2")."' align='center'><span class='small' style='color:black;'>".($section == "history" ? "<strong>".$locale['MGR_101']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=history'><strong>".$locale['MGR_101']."</strong></a>")."</span></td>

<td width='25%' class='".($section == "preisbilder" ? "tbl1" : "tbl2")."' align='center'><span class='small' style='color:black;'>".($section == "preisbilder" ? "<strong>".$locale['MGR_102']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=preisbilder'><strong>".$locale['MGR_102']."</strong></a>")."</span></td>

<td width='25%' class='".($section == "rblsettings" ? "tbl1" : "tbl2")."' align='center'><span class='small' style='color:black;'>".($section == "rblsettings" ? "<strong>".$locale['MGR_103']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&section=rblsettings'><strong>".$locale['MGR_103']."</strong></a>")."</span></td>

</tr>
</table>";


switch ($section) {
case "rblsettings" :

if(isset($_POST['settings_saved'])) {
	$rubbl_use_scoresys = stripinput($_POST['rubbl_use_scoresys']);
	$rubbl_anzahl_gewinner = stripinput($_POST['rubbl_anzahl_gewinner']);
	$rubbl_pm_to_id = stripinput($_POST['rubbl_pm_to_id']);
	$rubbl_pm_from_id = stripinput($_POST['rubbl_pm_from_id']);
	$result = dbquery("
		UPDATE ".DB_RUBBLER_SETTINGS." SET
		rubbl_use_scoresys='".$rubbl_use_scoresys."',
		rubbl_anzahl_gewinner='".$rubbl_anzahl_gewinner."',
		rubbl_pm_to_id='".$rubbl_pm_to_id."',
		rubbl_pm_from_id='".$rubbl_pm_from_id."'
		WHERE rubbl_settings_id='1'");
		redirect(FUSION_SELF.$aidlink."&section=rblsettings&success=true");

} elseif(isset($_POST['block_saved'])) {
	$rubbl_block_user_id = stripinput($_POST['rubbl_block_user_id']);
	$result = dbquery("INSERT INTO ".DB_RUBBLER_BLOCK." SET
		rubbl_block_user_id='".$rubbl_block_user_id."',
		rubbl_block_datestamp='".time()."'
		ON DUPLICATE KEY UPDATE
		rubbl_block_datestamp='".time()."'");
		redirect(FUSION_SELF.$aidlink."&section=rblsettings&blocksuccess=true");

} elseif(isset($_GET['block_delete'])) {
	$rubbl_block_user_id = stripinput($_GET['block_delete']);
	$result = dbquery("DELETE FROM ".DB_RUBBLER_BLOCK." WHERE rubbl_block_user_id='".$rubbl_block_user_id."'");
		redirect(FUSION_SELF.$aidlink."&section=rblsettings&blockdelsuccess=true");

} else {
	if (isset($_GET['success'])) {
		echo "<div class='success'><br />".$locale['MGR_scc1']."<br /></div>";
	}
	if (isset($_GET['blocksuccess'])) {
		echo "<div class='success'><br />".$locale['MGR_scc2']."<br /></div>";
	}
	if (isset($_GET['blockdelsuccess'])) {
		echo "<div class='success'><br />".$locale['MGR_scc3']."<br /></div>";
	}
echo "<br />";
if ($rblsettings['rubbl_ziehung_aktiv'] != 1) {
echo "<form name='settings' method='post' action='".FUSION_SELF.$aidlink."&section=rblsettings'>";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
	<tr>
		<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_104']."</td>
	</tr>";
		if (defined("SCORESYSTEM")) {
	echo "
	<tr>
		<td class='tbl1' style='text-align:right;' width='40%'>".$locale['MGR_105']."</td>
		<td class='tbl1' style='text-align:left;'>
			<select name='rubbl_use_scoresys' id='rubbl_use_scoresys' class='textbox'>
				<option value='1'".($rblsettings['rubbl_use_scoresys'] == 1 ? " selected" : "").">".$locale['MGR_106']."</option>
				<option value='0'".($rblsettings['rubbl_use_scoresys'] == 0 ? " selected" : "").">".$locale['MGR_107']."</option>
				<option value='2'".($rblsettings['rubbl_use_scoresys'] == 2 ? " selected" : "").">".$locale['MGR_108']."</option>
			</select></td>
	</tr>";
		} else {
	echo "
	<tr>
		<td class='tbl1' align='center' colspan='2'>".$locale['MGR_109']."</td>
	</tr>";
		}
	echo "
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_110']."</td>
			<td class='tbl1' style='text-align:left;'>
				<select name='rubbl_anzahl_gewinner' id='rubbl_anzahl_gewinner' class='textbox'>
					<option value='1'".($rblsettings['rubbl_anzahl_gewinner'] == 1 ? " selected" : "").">1</option>
					<option value='2'".($rblsettings['rubbl_anzahl_gewinner'] == 2 ? " selected" : "").">2</option>
					<option value='3'".($rblsettings['rubbl_anzahl_gewinner'] == 3 ? " selected" : "").">3</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_111']."</td>
			<td class='tbl1' style='text-align:left;'>";
			$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." ORDER BY user_id ASC");
			$userlist = "";
			while ($data = dbarray($result)) {
				$userlist .= "<option value='".$data['user_id']."'".($rblsettings['rubbl_pm_to_id'] == $data['user_id'] ? " selected" : "").">".$data['user_name']."</option>\n";
			}
			echo "
				<select name='rubbl_pm_to_id' id='rubbl_pm_to_id' class='textbox'>".$userlist."</select>
			</td>
		</tr>
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_112']."</td>
			<td class='tbl1' style='text-align:left;'>";
			$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." ORDER BY user_id ASC");
			$userlist1 = "";
			while ($data = dbarray($result)) {
				$userlist1 .= "<option value='".$data['user_id']."'".($rblsettings['rubbl_pm_from_id'] == $data['user_id'] ? " selected" : "").">".$data['user_name']."</option>\n";
			}
			echo "
				<select name='rubbl_pm_from_id' id='rubbl_pm_from_id' class='textbox'>".$userlist1."</select>
			</td>
		</tr>
		<tr>
			<td class='tbl2' style='text-align:center;' colspan='2'>
				<input type='submit' name='settings_saved' value='".$locale['MGR_113']."' class='button' />
			</td>
		</tr>
	</table>
	</form>";
} else {
	echo "<div style='font-weight:bold;text-align:center;color:red;'>".$locale['MGR_114']."</div>";
}
echo "<br />";
echo "<form name='userblock' method='post' action='".FUSION_SELF.$aidlink."&section=rblsettings'>";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
	<tr>
		<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_115']."</td>
	</tr>
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_115'].":</td>
			<td class='tbl1' style='text-align:left;'>";
			$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." ORDER BY user_id ASC");
			$userlist = "";
			while ($data = dbarray($result)) {
				$userlist .= "<option value='".$data['user_id']."'>".$data['user_id']." - ".$data['user_name']."</option>\n";
			}
			echo "
				<select name='rubbl_block_user_id' id='rubbl_block_user_id' class='textbox'>".$userlist."</select>
			</td>
		</tr>
		<tr>
			<td class='tbl2' style='text-align:center;' colspan='2'>
				<input type='submit' name='block_saved' value='".$locale['MGR_113']."' class='button' />
			</td>
		</tr>
	</table>
	</form>";

echo "<br />";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
	<tr>
		<td class='tbl2' colspan='4' style='font-weight:bold;text-align:left;'>".$locale['MGR_116']."</td>
	</tr>
	<tr>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_117']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_118']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_119']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_120']."</td>
	</tr>";
$result = dbquery("
SELECT tbl.*, tu.* FROM ".DB_RUBBLER_BLOCK." as tbl 
INNER JOIN ".DB_USERS." as tu 
ON (tbl.rubbl_block_user_id = tu.user_id )
ORDER BY rubbl_block_datestamp ASC");
if (dbrows($result)) {
	$i = 0;
	while ($data = dbarray($result)){
		$class = (($i % 2) ? 'tbl1' : 'tbl2');
		echo "<tr>
				<td class='".$class."' style='text-align:center;'>".$data['rubbl_block_user_id']."</td>
				<td class='".$class."' style='text-align:center;'>".$data['user_name']."</td>
				<td class='".$class."' style='text-align:center;'>".showdate("%d.%m.%Y %H:%M:%S", $data['rubbl_block_datestamp'])."</td>
				<td class='".$class."' style='text-align:center;'><a href='".FUSION_SELF.$aidlink."&section=rblsettings&block_delete=".$data['rubbl_block_user_id']."'><img src='".INFUSIONS."mg_rubbler_panel/inc/button_cancel.png' style='width:12px;height:12px;border:0;' /></a></td>
			</tr>";
		$i++;
	}
} else {
	echo "<tr><td class='tbl1' colspan='4' style='font-weight:bold;text-align:center;'>".$locale['MGR_121']."</td></tr>";
}
	echo "
	</table>";
}
break;

case "history" :

$items_per_page = 10;
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
	$_GET['rowstart'] = 0;
}

if (isset($_GET['deletehistorycompl'])){
	$result = dbquery("TRUNCATE ".DB_RUBBLER_HISTORY."");
	redirect(FUSION_SELF.$aidlink."&section=history&success=true");
} else {
	if (isset($_GET['success'])) {
		echo "<div class='success'><br />".$locale['MGR_scc4']."<br /></div>";
	}
$rows = dbcount("(rubbl_history_id)", DB_RUBBLER_HISTORY);
$result = dbquery("SELECT th.*, tu.* FROM ".DB_RUBBLER_HISTORY." as th INNER JOIN ".DB_USERS." as tu ON (th.rubbl_his_user_id = tu.user_id) ORDER BY th.rubbl_his_datestamp DESC LIMIT ".$_GET['rowstart'].", ".$items_per_page."");

echo "<br />";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
	<tr>
		<td class='tbl2' colspan='5' style='font-weight:bold;text-align:left;'>".$locale['MGR_122']."".(dbrows($result) ? "&nbsp;[ <span style='font-size:x-small;'><a href='".FUSION_SELF.$aidlink."&section=history&deletehistorycompl=true'>".$locale['MGR_123']."</a> ]" : "")."</td>
	</tr>
	<tr>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_118']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_124']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_125']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_126']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_119']."</td>
	</tr>";

	if (dbrows($result)) {
		$i = 0;
		while ($data = dbarray($result)) {
			$class = (($i % 2) ? 'tbl1' : 'tbl2');
			echo "
		<tr>
			<td class='".$class."' style='text-align:left;'>
					<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>
				</td>
				<td class='".$class."' style='text-align:left;'>
					".$data['rubbl_his_losnummer']."
				</td>
				<td class='".$class."' style='text-align:left;'>
					".($data['rubbl_his_score_gewinn'] != "" ? $data['rubbl_his_score_gewinn'] : "---")."
				</td>
				<td class='".$class."' style='text-align:left;'>
					".($data['rubbl_his_gewinn_name'] != "" ? $data['rubbl_his_gewinn_name']."<br />
					<img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:100px;max-height:100px;' onmouseover=\"showWMTT('himg".$i."')\" onmouseout=\"hideWMTT()\" /><div id='himg".$i."' class='tbl1 rubblertooltip'>".$data['rubbl_his_gewinn_name']."<hr /><img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:250px;' /></div>" : "---")."
				</td>
				<td class='".$class."' style='text-align:left;'>
					".showdate("%d.%m.%Y %H:%M:%S", $data['rubbl_his_datestamp'])."
				</td>
			</tr>";
			$i++;
		}
	} else {
		echo "<tr><td class='tbl1' colspan='5' style='font-weight:bold;text-align:center;'>".$locale['MGR_121']."</td></tr>";
	}
	if ($rows > $items_per_page) {
		echo "<tr><td class='tbl2' colspan='5' style='text-align:center;'>".makepagenav($_GET['rowstart'],$items_per_page,$rows,3, FUSION_SELF.$aidlink."&section=history&")."</td></tr>";
	}
	echo "
	</table>";
}
break;

case "ziehungen" :

if(isset($_POST['beenden'])) {
$i = 1;
$anzahl=dbcount("(rubbl_user_id)", DB_RUBBLER_USER);
$durchlauf = ($anzahl >= $rblsettings['rubbl_anzahl_gewinner'] ? $rblsettings['rubbl_anzahl_gewinner'] : $anzahl);

while ($i <= $durchlauf) {
$input = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_USER." ORDER BY RAND() LIMIT 1"));

	// Ergebnis verschieben nach History
	$result = dbquery("INSERT INTO ".DB_RUBBLER_HISTORY." SET
	rubbl_his_user_id='".$input['rubbl_user_id']."',
	rubbl_his_losnummer='".$input['rubbl_losnummer']."',
	rubbl_his_score_gewinn='".$rblsettings['rubbl_los_score_gewinn'.$i.'']."',
	rubbl_his_gewinn_name='".$rblsettings['rubbl_los_gewinn_name'.$i.'']."',
	rubbl_his_gewinn_desc='".$rblsettings['rubbl_los_gewinn_desc'.$i.'']."',
	rubbl_his_gewinn_img='".$rblsettings['rubbl_los_gewinn_img'.$i.'']."',
	rubbl_his_datestamp='".time()."'");

	// Ergebnis verschieben nach History
	$result1 = dbquery("DELETE FROM ".DB_RUBBLER_USER." WHERE rubbl_user_id='".$input['rubbl_user_id']."'");

	// Scores falls vorhanden
	if (defined("SCORESYSTEM") && ($rblsettings['rubbl_use_scoresys'] != 0)) {
		score_free($locale['MGR_034'], "RUBGE", $rblsettings['rubbl_los_score_gewinn'.$i.''], 1000, "P", 0, $input['rubbl_user_id']);
	}
	//PM an User und Admin
	$user = dbarray(dbquery("SELECT user_name from ".DB_USERS." WHERE user_id='".$input['rubbl_user_id']."'"));
	$userbetr = "".$locale['MGR_ubtr']."";
	$usertext = sprintf($locale['MGR_utxt'], $input['rubbl_losnummer'], $i)."\n\n[url=".$settings['siteurl']."infusions/mg_rubbler_panel/mg_rubbler.php?history=true][b]".$locale['MGR_030']."[/b][/url]";

	$admintxt .= $i.". ".$locale['MGR_025'].": ".$user['user_name']."\n";

	$result_usermsg = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$input['rubbl_user_id']."', '".$rblsettings['rubbl_pm_from_id']."', '".$userbetr."', '".$usertext."', 'n', '0', '".time()."', '0')");
$i++;
};
	$admin_betr = "".$locale['MGR_title']." ".showdate("%d.%m.%Y %H:%M:%S", time());
	$admin_text = $admintxt."\n[url=".$settings['siteurl']."infusions/mg_rubbler_panel/mg_rubbler_admin.php".$aidlink."&section=history][b]Historie[/b][/url]";
	
	$result_adminmsg = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$rblsettings['rubbl_pm_to_id']."', '".$rblsettings['rubbl_pm_from_id']."', '".$admin_betr."', '".$admin_text."', 'n', '0', '".time()."', '0')");

//Tabelle leeren und Ziehung auf inaktiv
$result = dbquery("UPDATE ".DB_RUBBLER_SETTINGS." SET rubbl_ziehung_aktiv='0' WHERE rubbl_settings_id='1'");
$result1 = dbquery("TRUNCATE ".DB_RUBBLER_USER."");

redirect(FUSION_SELF.$aidlink."&section=history");
}
if(isset($_POST['ziehung_saved'])) {
	$rubbl_ziehung_aktiv = stripinput($_POST['rubbl_ziehung_aktiv']);
	$rubbl_next_ziehung = stripinput($_POST['rubbl_next_ziehung']);
	$rubbl_los_score_kosten = stripinput($_POST['rubbl_los_score_kosten']);
	$rubbl_los_score_gewinn1 = stripinput($_POST['rubbl_los_score_gewinn1']);
	$rubbl_los_score_gewinn2 = ($_POST['rubbl_los_score_gewinn2'] != "" ? stripinput($_POST['rubbl_los_score_gewinn2']) : "");
	$rubbl_los_score_gewinn3 = ($_POST['rubbl_los_score_gewinn3'] != "" ? stripinput($_POST['rubbl_los_score_gewinn3']) : "");
	$rubbl_los_gewinn_name1 = stripinput($_POST['rubbl_los_gewinn_name1']);
	$rubbl_los_gewinn_name2 = ($_POST['rubbl_los_gewinn_name2'] != "" ? stripinput($_POST['rubbl_los_gewinn_name2']) : "");
	$rubbl_los_gewinn_name3 = ($_POST['rubbl_los_gewinn_name3'] != "" ? stripinput($_POST['rubbl_los_gewinn_name3']) : "");
	$rubbl_los_gewinn_desc1 = stripinput($_POST['rubbl_los_gewinn_desc1']);
	$rubbl_los_gewinn_desc2 = ($_POST['rubbl_los_gewinn_desc2'] != "" ? stripinput($_POST['rubbl_los_gewinn_desc2']) : "");
	$rubbl_los_gewinn_desc3 = ($_POST['rubbl_los_gewinn_desc3'] != "" ? stripinput($_POST['rubbl_los_gewinn_desc3']) : "");
	$rubbl_los_gewinn_img1 = stripinput($_POST['rubbl_los_gewinn_img1']);
	$rubbl_los_gewinn_img2 = ($_POST['rubbl_los_gewinn_img2'] != "" ? stripinput($_POST['rubbl_los_gewinn_img2']) : "");
	$rubbl_los_gewinn_img3 = ($_POST['rubbl_los_gewinn_img3'] != "" ? stripinput($_POST['rubbl_los_gewinn_img3']) : "");
	$result = dbquery("
		UPDATE ".DB_RUBBLER_SETTINGS." SET
		rubbl_ziehung_aktiv='".$rubbl_ziehung_aktiv."',
		rubbl_next_ziehung='".(time() + $rubbl_next_ziehung)."',
		rubbl_los_score_kosten='".$rubbl_los_score_kosten."',
		rubbl_los_score_gewinn1='".$rubbl_los_score_gewinn1."',
		rubbl_los_score_gewinn2='".$rubbl_los_score_gewinn2."',
		rubbl_los_score_gewinn3='".$rubbl_los_score_gewinn3."',
		rubbl_los_gewinn_name1='".$rubbl_los_gewinn_name1."',
		rubbl_los_gewinn_name2='".$rubbl_los_gewinn_name2."',
		rubbl_los_gewinn_name3='".$rubbl_los_gewinn_name3."',
		rubbl_los_gewinn_desc1='".$rubbl_los_gewinn_desc1."',
		rubbl_los_gewinn_desc2='".$rubbl_los_gewinn_desc2."',
		rubbl_los_gewinn_desc3='".$rubbl_los_gewinn_desc3."',
		rubbl_los_gewinn_img1='".$rubbl_los_gewinn_img1."',
		rubbl_los_gewinn_img2='".$rubbl_los_gewinn_img2."',
		rubbl_los_gewinn_img3='".$rubbl_los_gewinn_img3."'
		WHERE rubbl_settings_id='1'");
		redirect(FUSION_SELF.$aidlink."&section=ziehungen&success=true");

} else {
	if (isset($_GET['success'])) {
		echo "<div class='success'><br />".$locale['MGR_scc5']."<br /></div>";
	}
echo "<br />";
echo "<form name='ziehungen' method='post' action='".FUSION_SELF.$aidlink."&section=ziehungen'>";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>";
	if ($rblsettings['rubbl_ziehung_aktiv'] == 1) {
	echo "
		<tr>
			<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_127']."</td>
		</tr>
		<tr>
			<td class='tbl2' width='40%' style='text-align:right;'>".$locale['MGR_128']."</td>
			<td class='tbl2' style='text-align:left;'>".showdate("%d.%m.%Y %H:%M:%S", $rblsettings['rubbl_next_ziehung'])."</td>
		</tr>";
			$i = 1;

			do {

			if ($rblsettings['rubbl_use_scoresys'] == 1) {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." (".$locale['MGR_023']."):</td>
				<td class='tbl1' style='text-align:left;'>".$rblsettings['rubbl_los_score_gewinn'.$i.'']."</td>
			</tr>";
			} elseif ($rblsettings['rubbl_use_scoresys'] == 2) {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." (".$locale['MGR_023']."):</td>
				<td class='tbl1' style='text-align:left;'>".$rblsettings['rubbl_los_score_gewinn'.$i.'']."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_118'].":</td>
				<td class='tbl1' style='text-align:left;'>".$rblsettings['rubbl_los_gewinn_name'.$i.'']."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_130'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>".nl2br(parseubb(parsesmileys($rblsettings['rubbl_los_gewinn_desc'.$i.''])))."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_131'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>
				<img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:150px;max-height:150px;' />
				</td>
			</tr>";
			} else {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_118'].":</td>
				<td class='tbl1' style='text-align:left;'>".$rblsettings['rubbl_los_gewinn_name'.$i.'']."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_130'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>".nl2br(parseubb(parsesmileys($rblsettings['rubbl_los_gewinn_desc'.$i.''])))."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_131'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>
				<img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:150px;max-height:150px;' />
				</td>
			</tr>";
			}
			$i++;
			} while ($i <= $rblsettings['rubbl_anzahl_gewinner']);
		echo "
		<tr>
			<td class='tbl2' style='text-align:center;' colspan='2'>
				<input type='submit' name='beenden' value='Ziehung vorzeitig beenden' class='button' />
			</td>
		</tr>";


	} else {
	include_once INCLUDES."bbcode_include.php";
	echo "
		<tr>
			<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_132']."</td>
		</tr>
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_133']."</td>
			<td class='tbl1' style='text-align:left;'>
				<select name='rubbl_next_ziehung' id='rubbl_next_ziehung' class='textbox'>
					<option value='300'> 5 ".$locale['MGR_134']."</option>
					<option value='600'> 10 ".$locale['MGR_134']."</option>
					<option value='86400'> 1 ".$locale['MGR_135']."</option>
					<option value='".(86400*2)."'> 2 ".$locale['MGR_135a']."</option>
					<option value='".(86400*3)."'> 3 ".$locale['MGR_135a']."</option>
					<option value='".(86400*4)."'> 4 ".$locale['MGR_135a']."</option>
					<option value='".(86400*5)."'> 5 ".$locale['MGR_135a']."</option>
					<option value='".(86400*6)."'> 6 ".$locale['MGR_135a']."</option>
					<option value='".(86400*7)."'> 7 ".$locale['MGR_135a']."</option>
					<option value='".(86400*8)."'> 8 ".$locale['MGR_135a']."</option>
					<option value='".(86400*9)."'> 9 ".$locale['MGR_135a']."</option>
					<option value='".(86400*10)."'> 10 ".$locale['MGR_135a']."</option>
					<option value='".(86400*11)."'> 11 ".$locale['MGR_135a']."</option>
					<option value='".(86400*12)."'> 12 ".$locale['MGR_135a']."</option>
					<option value='".(86400*13)."'> 13 ".$locale['MGR_135a']."</option>
					<option value='".(86400*14)."'> 14 ".$locale['MGR_135a']."</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_110']."</td>
			<td class='tbl1' style='text-align:left;'>
				".$rblsettings['rubbl_anzahl_gewinner']."
			</td>
		</tr>";

		if ($rblsettings['rubbl_use_scoresys'] == 1) {
			echo "
			<tr>
				<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_136']."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_137']."</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_score_kosten' type='text' class='textbox' length='15' /> ".$locale['MGR_023']."
				</td>
			</tr>";
			$i = 1;

			do {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i.":</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_score_gewinn".$i."' type='text' class='textbox' length='15' /> ".$locale['MGR_023']."
				</td>
			</tr>";
			$i++;
			} while ($i <= $rblsettings['rubbl_anzahl_gewinner']);
		} elseif ($rblsettings['rubbl_use_scoresys'] == 2) {
		echo "
			<tr>
				<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_136']."</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_137']."</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_score_kosten' type='text' class='textbox' length='15' /> ".$locale['MGR_023']."
				</td>
			</tr>";
			$i = 1;

			do {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i.":</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_score_gewinn".$i."' type='text' class='textbox' length='15' /> ".$locale['MGR_023']."
				</td>
			</tr>";
			$i++;
			} while ($i <= $rblsettings['rubbl_anzahl_gewinner']);
			echo "
			<tr>
				<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_138']."</td>
			</tr>";
			$i = 1;

			do {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_118'].":</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_gewinn_name".$i."' type='text' class='textbox' style='width:300px;' />
				</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_130'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>
					<textarea class='textbox' name='rubbl_los_gewinn_desc".$i."' rows='8' style='width:300px;'></textarea>
					".display_bbcodes("300px;", "rubbl_los_gewinn_desc".$i."", "ziehungen", "smiley|b|i|u|url|color")."
				</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_131'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>";
					$img_files = makefilelist(INFUSIONS."mg_rubbler_panel/images/", ".|..|index.php", true, "files");
					echo "<select name='rubbl_los_gewinn_img".$i."' class='textbox'>
							<option value='' selected>---</option>
							".makefileopts($img_files, "")."
						</select>
						<hr class='side-hr' />
				</td>
			</tr>";
			$i++;
			} while ($i <= $rblsettings['rubbl_anzahl_gewinner']);
		} else {
		echo "
			<tr>
				<td class='tbl2' colspan='2' style='font-weight:bold;text-align:left;'>".$locale['MGR_138']."</td>
			</tr>";
			$i = 1;

			do {
			echo "
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_118'].":</td>
				<td class='tbl1' style='text-align:left;'>
					<input name='rubbl_los_gewinn_name".$i."' type='text' class='textbox' style='width:300px;' />
				</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_130'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>
					<textarea class='textbox' name='rubbl_los_gewinn_desc".$i."' rows='8' style='width:300px;'></textarea>
					".display_bbcodes("300px;", "rubbl_los_gewinn_desc".$i."", "ziehungen", "smiley|b|i|u|url|color")."
				</td>
			</tr>
			<tr>
				<td class='tbl1' width='40%' style='text-align:right;vertical-align:top;'>".$locale['MGR_129']." ".$i." ".$locale['MGR_131'].":</td>
				<td class='tbl1' style='text-align:left;vertical-align:top;'>";
					$img_files = makefilelist(INFUSIONS."mg_rubbler_panel/images/", ".|..|index.php", true, "files");
					echo "<select name='rubbl_los_gewinn_img".$i."' class='textbox'>
							<option value='' selected>---</option>
							".makefileopts($img_files, "")."
						</select>
						<hr class='side-hr' />
				</td>
			</tr>";
			$i++;
			} while ($i <= $rblsettings['rubbl_anzahl_gewinner']);
		}
	echo "
		<tr>
			<td class='tbl2' style='text-align:center;' colspan='2'>
				<input type='hidden' name='rubbl_ziehung_aktiv' value='1' />
				<input type='submit' name='ziehung_saved' value='".$locale['MGR_139']."' class='button' />
			</td>
		</tr>";
	}
	echo "
	</table>
	</form>";
}
break;

case "preisbilder" :

if (isset($_GET['upload']) && $_GET['upload'] != "") {
	$pfad = INFUSIONS."mg_rubbler_panel/images/";
	$allowed_filetypes = array('.jpg','.gif','.bmp','.png'); // These will be the types of file that will pass the validation.

	// start for loop
	$file_ok = "";
	$file_error = "";
		$file_name = $_FILES['uploadFile']['name'];
		$ext = strtolower(substr($file_name, strpos($file_name,'.'), strlen($file_name)-1)); // Get the extension from the filename.

		// Check if the filetype is allowed, if not DIE and inform the user.
		if(!in_array($ext,$allowed_filetypes)) {
			$file_error .= $file_name." >> ".$locale['MGR_err3']."<br />";
		 } else {

		$file_name = stripslashes($file_name);
		$suche = array(" ", "'", "(", ")", "[", "]", "", "$", "%", "&", "=", "?", ";", ":");
		$ersetze = "_";
		$file_name = str_replace($suche, $ersetze,$file_name);
		$copy = @copy($_FILES['uploadFile']['tmp_name'],$pfad . $file_name);
		chmod($pfad.$file_name, 0777);
	 // check if successfully copied
		if($copy){
			$file_ok .= $file_name." >> ".$locale['MGR_scc6']."<br />";
			//echo "$file_name | uploaded sucessfully!<br>";
		}else{
			$file_error .= $file_name." >> ".$locale['MGR_err4']."<br />";
			//echo "$file_name | could not be uploaded!<br>";
		}
	}

 // end of loop";
	redirect(FUSION_SELF.$aidlink."&&section=preisbilder&imgcopy=true&file_ok=".$file_ok."&file_error=".$file_error."");
} else {
	if (isset($_GET['error'])) {
		$error = $_GET['error'];
		echo "<div class='error'><br />".$error."<br /></div>";
	}
	if (isset($_GET['delimgsuccess'])) {
		echo "<div class='success'><br />".$locale['MGR_scc7']."<br /></div>";
	}
	if (isset($_GET['imgcopy'])) {
	$file_ok = $_GET['file_ok'];
	$file_error = $_GET['file_error'];
	if ($file_ok != "") {
		echo "<div class='success'><br /><img src='".INFUSIONS."mg_rubbler_panel/inc/button_ok.png' /><br />".$file_ok."<br /></div>";
	}
	if ($file_error != "") {
		echo "<div class='error'><br /><img src='".INFUSIONS."mg_rubbler_panel/inc/button_cancel.png' /><br />".$file_error."<br /></div>";
	}
	}
	if (isset($_GET['delimg']) && $_GET['delimg'] != "") {
	$datei = stripinput($_GET['delimg']);
	$pfad = INFUSIONS."mg_rubbler_panel/images/";
		if(is_writable(INFUSIONS."mg_rubbler_panel/images")) {
			@unlink($pfad.$datei);
			redirect(FUSION_SELF.$aidlink."&&section=preisbilder&delimgsuccess=true");
		} else {
			echo "<div class='error'><br />".$locale['MGR_err5']." ".$pfad."<br /></div>";
		}
}
echo "<br />";
echo "<form action='".FUSION_SELF.$aidlink."&section=preisbilder&upload=true' method='post' enctype='multipart/form-data'>";
echo "<table width='60%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>";
echo "<tr>
		<td class='tbl2' style='text-align:center;' colspan='2'>
			".$locale['MGR_140']."&nbsp;<input type='file' name='uploadFile' class='textbox'>&nbsp;<input type='submit' class='button' value='".$locale['MGR_141']."'>
		</td>
	</tr>";
	
	$pfad = INFUSIONS."mg_rubbler_panel/images/";
	$handle=opendir ($pfad);
		$i = 0; $dir_array = array();
	while ($datei = readdir ($handle)) {
		if (!is_dir($datei) && $datei != "." && $datei != ".." && $datei != "index.php") {
		$dir_array[] = $datei;
		echo "<tr>
				<td class='tbl1'>
					<img src='".$pfad.$datei."' id='".$datei."' style='max-width:100px;max-height:100px;' onmouseover=\"showWMTT('img".$i."')\" onmouseout=\"hideWMTT()\" /><div id='img".$i."' class='tbl1 rubblertooltip'>".$datei."<hr /><img src='".$pfad.$datei."' style='max-width:250px;' /></div>
				</td>
				<td class='tbl1'>
					<a href='".FUSION_SELF.$aidlink."&section=preisbilder&delimg=".$datei."'>".$locale['MGR_142']."</a>
				</td>
			</tr>";
		}
		$i++;
	}
	if (!$dir_array) {
		echo "<tr>
			<td class='tbl2' colspan='2' style='text-align:center;font-weight:bold;font-size:bigger;'>".$locale['MGR_143']."</td>
			</tr>";
	}
	echo "
	</table>
	</form>";
}
break;
}
?>

<script type="text/javascript">
	$(document).ready(function(){
	$('.success').fadeOut(5000);
	$('.error').fadeOut(5000);
	});
</script>
<?php
echo "<br clear='all' /><div style='text-align: right;'><a href='http://phpfusion.marcusg.de' target='_blank' title='".$locale['MGR_title']." v".$locale['MGR_version']." &copy; ".showdate("%Y",time())." by MarcusG'><span class='small'>&copy;</span></a></div>";
closetable();

require_once THEMES."templates/footer.php";
echo "<script src='".INFUSIONS."mg_rubbler_panel/inc/tooltip.js'></script>";
?>